﻿* {
	margin: 0;
	padding: 0;
	text-decoration: none;
	box-sizing: border-box;
}

html, body {
	height: 100vh;
	width: 100vw;
	font: normal 11pt/13pt Arial, Helvetica, sans-serif;
	line-height: 1.4rem;
	background-color: azure;
	color: black;
	-webkit-font-smoothing: antialiased;
	-webkit-text-size-adjust: 100%;
	-ms-text-size-adjust: 100%;
	padding: 0;
	margin: 0;
}

#span-mymod, #span-teach, #span-home {
	float: right;
	display: inline-block;
	border-left: 3px solid white;
	border-right: 0;
}

section {
	position: fixed;
	top: 2rem;
	right: 0;
	bottom: 0;
	left: 0;
	overflow: auto;
	padding: 1rem;
	background-color: azure;
}

#sec-intro div {
	width: fit-content;
	max-width: 45rem;
	display: block;
	margin: 0.5rem auto;
}

/*#sec-intro {
	width: fit-content;
	max-width: 45rem;
	display: block;
}*/

u {
	text-decoration: underline;
}

nav {
	overflow: hidden;
	background-color: teal;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	font-size: 1rem;
	z-index: 3;
	font-weight: normal;
	max-height: 2rem;
	min-height: 2rem;
}

	nav span {
		float: left;
		display: block;
		color: white;
		font-size: 1rem;
		width: fit-content;
		padding: 0.5rem 0.35rem;
		cursor: default;
		border-right: 3px solid white;
	}

		nav span:hover {
			background-color: cadetblue;
			color: white;
		}

.nav {
	background-color: teal;
	color: white;
	text-align: center;
	padding: 1px 2px;
}

.selected {
	background-color: paleturquoise;
	color: black;
}

table {
	border-collapse: collapse;
	background: white;
}

td {
	vertical-align: top;
	padding: 0.25rem;
	border: 0;
}

caption {
	padding: 0.5rem;
	font-weight: bold;
	font-size: 1.15rem;
}

p {
	margin: 0.25rem 0;
}

h1 {
	font-size: 1.15rem;
	line-height: 1.25rem;
	padding: 3px 0;
	text-align: center;
}

h2 {
	font-size: 1.1rem;
	line-height: 1.25rem;
	padding: 3px 0;
	text-align: center;
}

h3 {
	font-size: 1rem;
	line-height: 1.1rem;
	padding: 3px 0;
}

textarea {
	box-sizing: border-box;
	width: 100%;
	font-size: 1rem;
	border: none;
	overflow: auto;
	outline: none;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	margin: 0.25rem;
	background-color: white;
	padding: 4px;
	resize: none;
	border: 1px solid gray;
}

button {
	background-color: teal;
	padding: 0.5rem;
	font-size: 1rem;
	cursor: default;
	color: white;
	border-radius: 6px;
	display: inline-block;
	user-select: none;
	-webkit-user-select: none;
	touch-action: manipulation;
	width: fit-content;
	margin: 0 0.5rem 0 0;
}

.button:hover {
	box-shadow: rgba(255, 255, 255, 0.3) 0 0 2px inset, rgba(0, 0, 0, 0.4) 0 1px 2px;
	text-decoration: none;
	transition-duration: .15s, .15s;
}

ol, ul {
	margin: 0.25rem 0.25rem 0.25rem 2rem;
}

	ol li, ul li {
		line-height: 1.25rem;
		padding: 0.25rem;
	}

[contenteditable=true]:empty:before {
	content: attr(placeholder);
	pointer-events: none;
	display: block; /* For Firefox */
	color: gray;
	padding: 3px 7px;
}

[hidden] {
	display: none !important;
}
/*#endregion GENERAL */

/*#region sec-mod */

bl {
	color: blue;
}

#ta-mymod-edit {
	min-height: 8rem;
	display: block;
	padding: 0.25rem;
	margin: 0.5rem 0;
}

.all {
	float: right;
	font-weight: bold;
	color: teal;
	margin-left: 0.5rem;
}

r, red {
	color: red;
}

.disabled {
	color: darkgray;
}

footer {
	text-align: center;
	font-size: 1.1rem;
	margin-top: 0.5rem;
	background-color: cadetblue;
	color: white;
	padding: 0.5rem 0.3rem 0.5rem 0.3rem;
	width: 100%;
}

/* Student can enter their own verbs here */
#tbl-edit {
	border: 2px solid teal;
	margin: 0.5rem auto;
	width: 30rem;
}

	#tbl-edit td {
		padding: 0;
	}


/* Extra small devices (phones, 500px and down) */
@media only screen and (min-width: 450px) {
	body {
		font: normal 9pt/11pt Arial, Helvetica, sans-serif;
	}

	label {
		padding: 0.2rem;
	}
}
/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
	body {
		font: normal 10pt/12pt Arial, Helvetica, sans-serif;
	}

	label {
		padding: 0.2rem;
	}
}
/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
	body {
		font: normal 11pt/13pt Arial, Helvetica, sans-serif;
	}

	label {
		padding: 0.2rem;
	}
}
/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
	body {
		font: normal 12pt/14pt Arial, Helvetica, sans-serif;
	}

	label {
		padding: 0.15rem;
	}
}
/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
	body {
		font: normal 13pt/15pt Arial, Helvetica, sans-serif;
	}

	label {
		padding: 0.15rem;
	}
}
